Groovy Documentation

## org.codehaus.groovy.grails.test.report.junit
[Java] Class PlainFormatter

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter
          org.codehaus.groovy.grails.test.report.junit.PlainFormatter

    public class PlainFormatter
    extends PlainJUnitResultFormatter

Sanitises the stack traces generated by tests.

Field Summary
`protected java.io.File` | `file`
`protected java.lang.String` | `name`
`protected java.lang.String` | `systemError`
`protected java.lang.String` | `systemOutput`

Constructor Summary
`PlainFormatter(java.lang.String name, java.io.File file)`

Method Summary
`void` | `addError(Test test, java.lang.Throwable throwable)`
`void` | `addFailure(Test test, java.lang.Throwable throwable)`
`void` | `endTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest suite)`
`void` | `setOutput(java.io.OutputStream out)`
`void` | `setSystemError(java.lang.String out)`
`void` | `setSystemOutput(java.lang.String out)`
`protected void` | `writeToFile(java.io.File f, java.lang.String text)`

Field Detail

### file

    protected java.io.File file

### name

    protected java.lang.String name

### systemError

    protected java.lang.String systemError

### systemOutput

    protected java.lang.String systemOutput

Constructor Detail

### PlainFormatter

    public PlainFormatter(java.lang.String name, java.io.File file)

Method Detail

### addError

    @Override
    public void addError(Test test, java.lang.Throwable throwable)

### addFailure

    @Override
    public void addFailure(Test test, java.lang.Throwable throwable)

### endTestSuite

    @Override
    public void endTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest suite)

### setOutput

    @Override
    public void setOutput(java.io.OutputStream out)

### setSystemError

    @Override
    public void setSystemError(java.lang.String out)

### setSystemOutput

    @Override
    public void setSystemOutput(java.lang.String out)

### writeToFile

    protected void writeToFile(java.io.File f, java.lang.String text)

Groovy Documentation